Bug 521082 - Add Cascade deletes to the checksum tables
Summary: Add Cascade deletes to the checksum tables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend
Version: RHN Stable
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Red Hat Network Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 519193 rhn-sprint30
TreeView+ depends on / blocked
 
Reported: 2009-09-03 14:39 UTC by James Bowes
Modified: 2013-01-10 10:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-18 12:49:42 UTC


Attachments (Terms of Use)

Description James Bowes 2009-09-03 14:39:58 UTC
When a row is deleted from rhnFile, it should cascade delete the rows in rhnFileChecksum. Likewise for rhnPackageChecksum and rhnKSTreeFileChecksum

Comment 1 James Bowes 2009-09-17 14:05:59 UTC
also rhnPackageSourceChecksum

Comment 2 Denise Hughes 2009-10-28 19:49:55 UTC
Verified on dev


Note You need to log in before you can comment on or make changes to this bug.